Bug 322381 - Join -sysv packages to clamav-server and clamav-milter
Join -sysv packages to clamav-server and clamav-milter
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-10-07 13:42 EDT by Milan Kerslager
Modified: 2008-01-05 08:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-08 02:46:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Join <main>-sysv packages with main packages (2.18 KB, patch)
2007-10-07 13:48 EDT, Milan Kerslager
no flags Details | Diff
Join <main>-sysv packages with main packages (21.55 KB, patch)
2007-10-07 13:59 EDT, Milan Kerslager
no flags Details | Diff

  None (edit)
Description Milan Kerslager 2007-10-07 13:42:48 EDT
There is no reason to have separate package for sysv scripts
(clamav-server-sysv, clamav-milter-sysv) execept generic package for both BSD
and SYSV style distributions. Since Fedora has SYSV initscripts, no other daemon
has separate package for sysv init script and *-sysv packages are always
installed along with (clamav-server and clamav-milter), please join sysv
packages to their master packages.

This will simplify clamav use and install.
Comment 1 Milan Kerslager 2007-10-07 13:48:22 EDT
Created attachment 218801 [details]
Join <main>-sysv packages with main packages
Comment 2 Milan Kerslager 2007-10-07 13:59:42 EDT
Created attachment 218821 [details]
Join <main>-sysv packages with main packages

Sorry. There was a little bug.
Comment 3 Enrico Scholz 2007-10-07 15:28:51 EDT
Unless the dep-bloat in initscripts (e.g. splitting /etc/init.d/functions and
hardware related parts) gets fixed (where I do not have any hope about), I am
going to close this as WONTFIX.
Comment 4 Milan Kerslager 2007-10-07 17:30:36 EDT
I don't underestand.

Whole distribution does not split init script from daemons. Please follow
package guedelines.
Comment 5 Enrico Scholz 2007-10-07 18:19:23 EDT
1. there is no such packaging guideline which requires the requested change
2. packaging guidelines are interesting for new packages only
Comment 6 Milan Kerslager 2007-10-07 20:35:11 EDT
Splitting /etc/init.d/functions is not a job for ClamAV package.
ClamAV package has nothing to do with hardware.
All packages in Fedora (ie "normal one") has sysv init script packaged inside.
ClamAV is really new package in Fedora (FC7).
There is no reason to do thing the hard and overcomplex way.

So please, please, make your package simple and do not stay oposite when someone
is asking do make a better package.

Note You need to log in before you can comment on or make changes to this bug.